Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
autoload_data_i Struct Reference

## Data Fields
VALUE | feature
int | safe_level
VALUE | thread
VALUE | value

## Detailed Description

Definition at line 1566 of file variable.c.

## Field Documentation

VALUE autoload_data_i::feature

Definition at line 1567 of file variable.c.

Referenced by autoload_i_mark(), autoload_require(), check_autoload_required(), rb_autoload(), and rb_autoload_p().

int autoload_data_i::safe_level

Definition at line 1568 of file variable.c.

Referenced by autoload_require(), and rb_autoload().

VALUE autoload_data_i::thread

Definition at line 1569 of file variable.c.

Referenced by autoload_i_mark(), rb_autoload(), rb_autoload_load(), rb_autoloading_value(), and rb_const_set().

VALUE autoload_data_i::value

Definition at line 1570 of file variable.c.

Referenced by autoload_i_mark(), rb_autoload(), rb_autoloading_value(), and rb_const_set().

The documentation for this struct was generated from the following file:

- variable.c